#
# spec file for package kdelibs4support
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname   libKF5KDELibs4Support5
%define _tar_path 5.55
# Full KF5 version (e.g. 5.33.0)
%{!?_kf5_version: %global _kf5_version %{version}}
# Last major and minor KF5 version (e.g. 5.33)
%{!?_kf5_bugfix_version: %define _kf5_bugfix_version %(echo %{_kf5_version} | awk -F. '{print $1"."$2}')}
%bcond_without lang
Name:           kdelibs4support
Version:        5.55.0
Release:        lp151.1.6
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        LGPL-2.1-or-later
Group:          System/GUI/KDE
URL:            https://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/portingAids/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  NetworkManager-devel
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= %{_kf5_bugfix_version}
BuildRequires:  fdupes
BuildRequires:  kbookmarks-devel >= %{_kf5_bugfix_version}
BuildRequires:  kcompletion-devel >= %{_kf5_bugfix_version}
BuildRequires:  kconfig-devel >= %{_kf5_bugfix_version}
BuildRequires:  kconfigwidgets-devel >= %{_kf5_bugfix_version}
BuildRequires:  kcrash-devel >= %{_kf5_bugfix_version}
BuildRequires:  kdbusaddons-devel >= %{_kf5_bugfix_version}
BuildRequires:  kded-devel >= %{_kf5_bugfix_version}
BuildRequires:  kdesignerplugin-devel >= %{_kf5_bugfix_version}
BuildRequires:  kdoctools-devel >= %{_kf5_bugfix_version}
BuildRequires:  kemoticons-devel >= %{_kf5_bugfix_version}
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel >= %{_kf5_bugfix_version}
BuildRequires:  kguiaddons-devel >= %{_kf5_bugfix_version}
BuildRequires:  ki18n-devel >= %{_kf5_bugfix_version}
BuildRequires:  kiconthemes-devel >= %{_kf5_bugfix_version}
BuildRequires:  kio-devel >= %{_kf5_bugfix_version}
BuildRequires:  kitemviews-devel >= %{_kf5_bugfix_version}
BuildRequires:  knotifications-devel >= %{_kf5_bugfix_version}
BuildRequires:  kparts-devel >= %{_kf5_bugfix_version}
BuildRequires:  kservice-devel >= %{_kf5_bugfix_version}
BuildRequires:  ktextwidgets-devel >= %{_kf5_bugfix_version}
BuildRequires:  kunitconversion-devel >= %{_kf5_bugfix_version}
BuildRequires:  kwidgetsaddons-devel >= %{_kf5_bugfix_version}
BuildRequires:  kwindowsystem-devel >= %{_kf5_bugfix_version}
BuildRequires:  kxmlgui-devel >= %{_kf5_bugfix_version}
BuildRequires:  perl-URI
BuildRequires:  pkgconfig
BuildRequires:  cmake(Qt5Concurrent) >= 5.6.0
BuildRequires:  cmake(Qt5Core) >= 5.6.0
BuildRequires:  cmake(Qt5DBus) >= 5.6.0
BuildRequires:  cmake(Qt5Designer) >= 5.6.0
BuildRequires:  cmake(Qt5Network) >= 5.6.0
BuildRequires:  cmake(Qt5PrintSupport) >= 5.6.0
BuildRequires:  cmake(Qt5Svg) >= 5.6.0
BuildRequires:  cmake(Qt5Test) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.6.0
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
Recommends:     %{name}-lang = %{version}
Provides:       kde4support = %{version}
Obsoletes:      kde4support < %{version}

%description
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly.

%package -n kssl
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        GPL-2.0-or-later
Group:          System/GUI/KDE

%description -n kssl
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly.

%package -n %{lname}
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        LGPL-2.1-or-later
Group:          System/GUI/KDE
Requires:       kded >= %{_kf5_bugfix_version}

%description -n %{lname}
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly.

%package devel
Summary:        Code and utilities to ease the transition to KDE Frameworks 5
License:        LGPL-2.1-or-later
Group:          Development/Libraries/KDE
Requires:       %{lname} = %{version}
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules
Requires:       karchive-devel >= %{_kf5_bugfix_version}
Requires:       kauth-devel >= %{_kf5_bugfix_version}
Requires:       kconfigwidgets-devel >= %{_kf5_bugfix_version}
Requires:       kcoreaddons-devel >= %{_kf5_bugfix_version}
Requires:       kcrash-devel >= %{_kf5_bugfix_version}
Requires:       kdbusaddons-devel >= %{_kf5_bugfix_version}
Requires:       kdesignerplugin-devel >= %{_kf5_bugfix_version}
Requires:       kdoctools-devel >= %{_kf5_bugfix_version}
Requires:       kemoticons-devel >= %{_kf5_bugfix_version}
Requires:       kguiaddons-devel >= %{_kf5_bugfix_version}
Requires:       kiconthemes-devel >= %{_kf5_bugfix_version}
Requires:       kinit-devel >= %{_kf5_bugfix_version}
Requires:       kitemmodels-devel >= %{_kf5_bugfix_version}
Requires:       knotifications-devel >= %{_kf5_bugfix_version}
Requires:       kparts-devel >= %{_kf5_bugfix_version}
Requires:       ktextwidgets-devel >= %{_kf5_bugfix_version}
Requires:       kunitconversion-devel >= %{_kf5_bugfix_version}
Requires:       kwindowsystem-devel >= %{_kf5_bugfix_version}
Requires:       cmake(Qt5Core) >= 5.6.0
Requires:       cmake(Qt5DBus) >= 5.6.0
Requires:       cmake(Qt5PrintSupport) >= 5.6.0
Requires:       cmake(Qt5Xml) >= 5.6.0
Provides:       kde4support-devel = %{version}
Obsoletes:      kde4support-devel < %{version}

%description devel
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.

Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly. Development files.

%lang_package

%prep
%setup -q
%if 0%{?suse_version} == 1500
sed -i -e "s/^set *(REQUIRED_QT_VERSION 5.10.0)$/set(REQUIRED_QT_VERSION 5.9.0)/" CMakeLists.txt
%endif

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name} --with-man --all-name
%{kf5_find_htmldocs}
%endif

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%if %{with lang}
%files lang -f %{name}.lang
%endif

%files
%license COPYING*
%doc README*
%{_kf5_bindir}/kdebugdialog5
%{_kf5_bindir}/kf5-config
%{_kf5_configdir}/colors/
%{_kf5_configdir}/kdebug.areas
%{_kf5_configdir}/kdebugrc
%{_kf5_libexecdir}/filesharelist
%{_kf5_libexecdir}/fileshareset
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
# within kssl package
%exclude %{_kf5_plugindir}/kcm_ssl.so
%exclude %{_kf5_servicesdir}/kcm_ssl.desktop
%{_kf5_servicetypesdir}/
%{_kf5_datadir}/kdoctools/
%{_kf5_datadir}/widgets/
%{_kf5_sharedir}/locale/kf5_all_languages
%{_kf5_datadir}/locale/
%doc %lang(en) %{_kf5_mandir}/*/kf5-config.*
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %lang(en) %{_kf5_htmldir}/en/*/

%files -n kssl
%license COPYING*
%doc README*
%{_kf5_configdir}/ksslcalist
%{_kf5_plugindir}/kcm_ssl.so
%{_kf5_servicesdir}/kcm_ssl.desktop
%{_kf5_datadir}/kssl/

%files -n %{lname}
%license COPYING*
%doc README*
%{_kf5_libdir}/libKF5KDELibs4Support.so.*

%files devel
%{_kf5_libdir}/libKF5KDELibs4Support.so
%{_kf5_libdir}/cmake/KF5KDELibs4Support/
%{_kf5_libdir}/cmake/KF5KDE4Support/
%{_kf5_libdir}/cmake/KDELibs4/
%{_kf5_includedir}/kdelibs4support_version.h
%{_kf5_includedir}/KDELibs4Support/
%dir %{_kf5_includedir}/KDELibs4Support/
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.freedesktop.PowerManagement.Inhibit.xml
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.freedesktop.PowerManagement.xml
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.kde.Solid.Networking.Client.xml
%{_kf5_sharedir}/dbus-1/interfaces/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml

%changelog
* Fri Feb 15 2019 alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
* Sun Feb 10 2019 lbeltrame@kde.org
- Update to 5.55.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
  * autotests: disable failing KTabWidget test, not worth debugging
  * autotests: tab reordering is done with LMB these days, not MMB
  * Fix some country flags to use all the pixmap
  * Remove Qt version check
* Mon Jan 14 2019 lbeltrame@kde.org
- Update to 5.54.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
  * No code changes since 5.53.0
* Sun Dec  9 2018 lbeltrame@kde.org
- Update to 5.53.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
  * Remove qt prefix include
  * Fix normalize signal/slot
* Sun Nov 11 2018 lbeltrame@kde.org
- Update to 5.52.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
  * Remove unused check
  * Use directly qEnvironmentVariableIntValue
* Tue Oct 16 2018 Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
* Mon Oct 15 2018 lbeltrame@kde.org
- Update to 5.51.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
  * Remove deprecated method
* Thu Sep 13 2018 lbeltrame@kde.org
- Update to 5.50.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.50.0.php
- Changes since 5.49.0:
  * Fix compilation without openssl headers
* Sun Aug 19 2018 christophe@krop.fr
- Update to 5.49.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.49.0.php
- Changes since 5.48.0:
  * Fix qtplugins in KStandardDirs
* Mon Jul 16 2018 lbeltrame@kde.org
- Update to 5.48.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.48.0.php
- Changes since 5.47.0:
  * Set QT_USE_FAST_OPERATOR_PLUS ourselves
  * Don't export kf5-config to the CMake config file
  * Remove unused entry X-KDE-DBus-ModuleName from the kded plugin metadata
  * Use override
* Tue Jun 12 2018 lbeltrame@kde.org
- Update to 5.47.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.47.0.php
- Changes since 5.46.0:
  * Use override
* Sun May 13 2018 lbeltrame@kde.org
- Update to 5.46.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.46.0.php
- Changes since 5.45.0:
  * Fix file encoding
* Sat Apr 14 2018 lbeltrame@kde.org
- Update to 5.45.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.45.0.php
- Changes since 5.44.0:
  * autotest: more debugging
  * autotest: add info in case of CI failure (happens on FreeBSD)
* Mon Mar 12 2018 lbeltrame@kde.org
- Update to 5.44.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.44.0.php
- Changes since 5.43.0:
  * autotests: detect executables as shared libraries too
  * Do not leak symbols of pimpl classes, protect with Q_DECL_HIDDEN
* Mon Feb 12 2018 lbeltrame@kde.org
- Update to 5.43.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.43.0.php
- Changes since 5.42.0:
  * autotests: attempt to repair kmimetypetest on CI
  * Add Windows notes for network related test applications
  * Refactor Solid::NetworkingPrivate to have a shared and platform specific implementation
  * Fix mingw compile error "src/kdeui/kapplication_win.cpp:212:22: error: 'kill' was not declared in this scope"
  * Fix kded dbus name in solid-networking howto
* Tue Jan 16 2018 lbeltrame@kde.org
- Update to 5.42.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.42.0.php
- Changes since 5.41.0:
  * Remove obsolete reviewboardrc file
  * autotest: adapt to QUrl behaviour change
  * Inform the user if the module can not be registered with org.kde.kded5 and exit with error
  * Mingw32 compile fix
  * Remove old check (we depend against qt5.7)
  * Fix build with LibreSSL
* Sun Dec 17 2017 lbeltrame@kde.org
- Update to 5.41.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.41.0.php
- Changes since 5.40.0:
  * None
* Mon Nov 13 2017 lbeltrame@kde.org
- Update to 5.40.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.40.0.php
- Changes since 5.39.0:
  * full docu for disableSessionManagement() replacement
  * Make kssl compile against OpenSSL 1.1.0 (kde#370223)
  * Add .arcconfig
- Remove patches, now upstream:
  * 0001-Make-kssl-compile-against-OpenSSL-1.1.0.patch
* Mon Oct 23 2017 lbeltrame@kde.org
- Update to 5.39.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.39.0.php
- Changes since 5.38.0:
  * doc: validation not available in QInputDialog::getText
* Tue Sep 12 2017 lbeltrame@kde.org
- Update to 5.38.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.38.0.php
- Changes since 5.37.0:
  * Fix typo, sorry
  * kstandarddirstest: Stabilize test on CI
  * Fix a few CMake warnings
* Thu Aug 31 2017 fabian@ritter-vogt.de
- Add patch to allow build with Qt5 built against openSSL 1.1 (boo#1055489):
  * 0001-Make-kssl-compile-against-OpenSSL-1.1.0.patch
* Sun Aug 13 2017 christophe@krop.fr
- Update to 5.37.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.37.0.php
- Changes since 5.36.0 :
  * Fix 'Deprecated hint for KUrl::path() is wrong on Windows' (kde#382242)
  * Update kdelibs4support to use the target based support provided by kdewin
  * Mark constructors as deprecated too
  * Sync KDE4Defaults.cmake from kdelibs
* Wed Jul 12 2017 lbeltrame@kde.org
- Update to 5.36.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.36.0.php
- Changes since 5.35.0:
  * Search for KEmoticons, which is a dependency per the CMake config.cmake.in. (kde#381839)
* Sun Jun 11 2017 lbeltrame@kde.org
- Update to 5.35.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.35.0.php
- Changes since 5.34.0:
  * Register is deprecated
  * tests: use right QProcess API in kmimetypetest
  * Same treatment for the configure_file part of that statement too
  * Handle having spaces in the path to CMAKE_SOURCE_DIR
* Mon May 15 2017 fabian@ritter-vogt.de
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * None
- Use %%find_lang %%{name} --with-man --all-name
* Sat Apr 15 2017 lbeltrame@kde.org
- Update to 5.33.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
  * Upgrade ECM and KF5 version requirements for 5.33.0 release.
  * Upgrade KF5 version to 5.33.0.
* Fri Apr  7 2017 wbauer@tmo.at
- Drop use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
  as we don't build against Qt 5.5.1 any more
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Fix bug in kfiledialog.cpp that causes crashing when native widgets are used.
  * Port [i] to .at(i) to avoid unwanted detaching.
  * Upgrade KF5 version to 5.32.0.
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Sun Jan  8 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * Make the France flag actually use all the pixmap
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  2 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Cleanup. Do not install includes that point to non-existing
    includes and also remove those files
  * Use more correct and with c++11 available std::remove_pointer
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Fix Windows compilation error in kstyle.h
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Remove KDETranslator class, there's no kdeqt.po anymore
  * Document the replacement for use12Clock()
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Warn about KDateTimeParser::parseDateUnicode not being implemented
  * K4TimeZoneWidget: correct path for flag images
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Provide a fallback MAXPATHLEN if not defined
  * Fix KDateTime::isValid() for ClockTime values (kde#336738)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Wed Apr  6 2016 alarrosa@suse.com
- Don't apply use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
  in SLE12 since Qt 5.5.1 in SLE12 is not patched to support the new
  session management API from 5.6.0 .
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Fix obsolete link in kdebugdialog5 docbook
  * Don't leak Qt5::Network as required lib for the rest of
    the ConfigureChecks
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Fix session management for KApplication based applications
    (kde#354724, boo#955280)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
- Drop upstreamed fix-session-saving.patch
* Fri Feb 26 2016 wbauer@tmo.at
- Enable use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
  unconditionally, the updated libqt5-qtbase is in Tumbleweed now
* Mon Feb 22 2016 hrvoje.senjan@gmail.com
- Add and enable use-setFallbackSessionManagementEnabled-API-with-5.5.1.patch
  on 42.1 Leap only, for now (kde#354724, boo#955280)
* Wed Feb 17 2016 hrvoje.senjan@gmail.com
- Added fix-session-saving.patch (kde#354724, boo#955280)
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * kdelibs4support requires kded (for kdedmodule.desktop)
  * Fix CMP0064 warning by setting policy CMP0054 to NEW
  * Don't export symbols that also exist in KWidgetsAddons
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Fix some i18n calls.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Don't try to store a QDateTime in mmap'ed memory
  * Sync and adopt uriencode.cmake from kdoctools.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Call newInstance from the child on first invocation
  * Use kdewin defines.
  * Don't try to find X11 on WIN32
  * cmake: Fix taglib version check in FindTaglib.cmake.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Port solid-networkstatus kded plugin to json metadata
  * KPixmapCache: create dir if it doesn't exist
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * kconfig_compiler_kf5 moved to libexec, use kreadconfig5 instead
    for the findExe test
  * Document the (suboptimal) replacements for
    KApplication::disableSessionManagement
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Fix KMimeType::Ptr::isNull implementation.
  * Reenable support for KDateTime streaming to kDebug/qDebug,
    for more SC
  * Load correct translation catalog for kdebugdialog
  * Don't skip documenting deprecated methods, so that people can
    read the porting hints
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Use QTemporaryFile instead of hardcoding a temporary file.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sun Apr 19 2015 hrvoje.senjan@gmail.com
- Add Requires on kded, which is a runtime requirement (needed for
  Applications used outside Plasma 5, as it is not pulled in by
  other packages in that case)
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Mon Mar 16 2015 hrvoje.senjan@gmail.com
- Add explicit kdbusaddons-devel and karchive-devel to
  devel package requires
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
- Added perl-URI buildrequires
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * Add Lithuania to the list of Euro countries
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
- Added NetworkManager-devel BuildRequires in order to build
  deprecated Solid's networkstatus kded module (for software that
  didn't migrate to QNetworkConfigurationManager)
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
- Rename to kdelibs4support, per upstream change
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
- Added 0001-Remove-unused-dependencies.patch from upstream
- Drop kbookmarks-devel, kdbusaddons-devel and kitemviews-devel
  BuildRequires as per added patch
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kde4support package
